Open CASCADE Technology: Standard_Transient Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Standard_Transient Class Reference

Abstract class which forms the root of the entire Transient class hierarchy. More...

`#include <Standard_Transient_proto.hxx>`

Inheritance diagram for Standard_Transient:
[legend]

## Public Member Functions
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual void | Delete () const
| Memory deallocator for transient classes. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Abstract class which forms the root of the entire Transient class hierarchy.

## Constructor & Destructor Documentation

Standard_Transient::Standard_Transient | ( |  | ) |
| inline

Empty constructor.

Standard_Transient::Standard_Transient | ( | const Standard_Transient & |  | ) |
| inline

Copy constructor – does nothing.

virtual Standard_Transient::~Standard_Transient | ( |  | ) |
| virtual

Destructor must be virtual.

## Member Function Documentation

virtual void Standard_Transient::Delete | ( |  | ) | const
| virtual

Memory deallocator for transient classes.

Reimplemented in NIS_Triangulated, AIS_InteractiveContext, and MMgt_TShared.

virtual const Handle_Standard_Type& Standard_Transient::DynamicType | ( |  | ) | const
| virtual

Returns a type information object about this object.

Standard_Integer Standard_Transient::GetRefCount | ( |  | ) | const
| inline

Get the reference counter of this object.

Standard_Boolean Standard_Transient::IsInstance | ( | const Handle_Standard_Type & | theType | ) | const

Returns a true value if this is an instance of Type.

Standard_Boolean Standard_Transient::IsInstance | ( | const Standard_CString | theTypeName | ) | const

Returns a true value if this is an instance of TypeName.

Standard_Boolean Standard_Transient::IsKind | ( | const Handle_Standard_Type & | theType | ) | const

Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism.

Standard_Boolean Standard_Transient::IsKind | ( | const Standard_CString | theTypeName | ) | const

Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism.

Standard_Transient& Standard_Transient::operator= | ( | const Standard_Transient & |  | ) |
| inline

Assignment operator, needed to avoid copying reference counter.

virtual Handle_Standard_Transient Standard_Transient::This | ( |  | ) | const
| virtual

Returns a Handle which references this object. Must never be called to objects created in stack.

The documentation for this class was generated from the following file:

- Standard_Transient_proto.hxx